Bug 1278289 - WS Create Operation Wizard - Creating a method with no input message
WS Create Operation Wizard - Creating a method with no input message
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 02:47 EST by Serhat Dirik
Modified: 2016-04-14 14:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:30:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2710 Major Closed WS Create Operation Wizard - Creating a method with no input message 2016-04-14 14:49 EDT

  None (edit)
Description Serhat Dirik 2015-11-05 02:47:41 EST
Description of problem:
   Web service model , create operation model does not allow to create operations without input or output. Indeed it's possible to ignore warning messages and create the operation anyway. In that case wizard puts nameless and typeless messages in the schema and requires removing messages from the schema with an alternate editor.  

Version-Release number of selected component (if applicable):
 
   TD 9.0.3.Finalv2015

How reproducible:
   Try to create a new operation in web service model 

Steps to Reproduce:
1. Pick one the interfaces that you have in wsdl
2. Create a new operation, give it a name
3. Try to get rid of input message, remove it's name and create 


Actual results:
  Malformed view schema 

Expected results:
  create the operation without the undesired message type 

Additional info:
Comment 2 JBoss JIRA Server 2015-12-03 12:09:16 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2710 to Resolved
Comment 3 Barry LaFond 2015-12-07 08:30:05 EST
Using only JIRA now.  Marking as closed
Comment 4 JBoss JIRA Server 2016-02-15 04:56:15 EST
Matus Makovy <mmakovy@redhat.com> updated the status of jira TEIIDDES-2710 to Closed
Comment 5 JBoss JIRA Server 2016-04-14 14:38:54 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2710 to Reopened
Comment 6 JBoss JIRA Server 2016-04-14 14:49:12 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2710 to Closed

Note You need to log in before you can comment on or make changes to this bug.